Nvidia Driver issue

Hi there,

I need to install TensorRT7 on Ubuntu16.04, which requires CUDA10.2. In order to get CUDA10.2 I need to install nvidia-driver-440 for my GeForce GTX 1080 Ti. However, nvidia-driver-430 and nvidia-driver-390 are available for GeForce GTX 1080 Ti. Should I proceed with the installation of nvidia-driver-440 or will I have issues with my card? I was wondering if there are other alternatives. Thanks a lot.